For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList agent branches
        • POSTCreate agent branch
        • GETGet agent branch
        • PATCHUpdate agent branch
        • POSTMerge agent branch
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsBranches

Create agent branch

POST
/v1/convai/agents/:agent_id/branches
POST
/v1/convai/agents/:agent_id/branches
$curl -X POST https://api.elevenlabs.io/v1/convai/agents/agent_id/branches \
> -H "Content-Type: application/json" \
> -d '{
> "parent_version_id": "string",
> "name": "string",
> "description": "string"
>}'
1{
2 "created_branch_id": "string",
3 "created_version_id": "string"
4}
Create a new branch from a given version of any branch
Was this page helpful?
Previous

Get agent branch

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
parent_version_idstringRequired
ID of the version to branch from
namestringRequired<=140 characters
Name of the branch. It is unique within the agent.
descriptionstringRequired<=4096 characters
Description for the branch
conversation_configmap from strings to any or nullOptional
Changes to apply to conversation config
platform_settingsmap from strings to any or nullOptional
Changes to apply to platform settings
workflowobject or nullOptional
Updated workflow definition

Response

Successful Response
created_branch_idstring
ID of the created branch
created_version_idstring
ID of the first version on the created branch

Errors

422
Unprocessable Entity Error